/*
 * Copyright 2009 Google Inc.
 *
 * Licensed under the Apache License, Version 2.0 (the "License"); you may not
 * use this file except in compliance with the License. You may obtain a copy of
 * the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS, WITHOUT
 * WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the
 * License for the specific language governing permissions and limitations under
 * the License.
 */

package com.google.jstestdriver.guice;

import com.google.inject.ImplementedBy;
import com.google.inject.Provider;
import com.google.jstestdriver.BrowserAction;

import java.util.List;

/**
 * Provides {@link BrowserAction}s for the JsTestDriverClient. Implement this interface and bind
 * it in Guice to provide your own {@link BrowserAction} sequences.
 * @author corysmith@google.com (Cory Smith)
 */
@ImplementedBy(DefaultBrowserActionProvider.class)
public interface BrowserActionProvider extends Provider<List<BrowserAction>>{
  public abstract List<BrowserAction> get();
}
